Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.examples.rules
Class TstRuleObject

    java.lang.Object
      com.ibm.able.examples.rules.TstRuleObject

All Implemented Interfaces:
  java.io.Serializable

public class TstRuleObject
extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`protected double` | `dblValue`
`protected int` | `intValue`
`protected java.lang.String` | `name`
`protected java.lang.String` | `strValue`
`protected java.util.Vector` | `vecValue`

Constructor Summary
`TstRuleObject()`
`TstRuleObject(java.lang.Double theDouble)`
`TstRuleObject(java.lang.Object tstObj)`
`TstRuleObject(java.lang.String theName)`
`TstRuleObject(java.lang.String theName, double theDouble)`
`TstRuleObject(TstRuleObject tstObj)`

Method Summary
`void` | `callIntArrayMethod(int[] anIntArray)`
`double` | `getDblValue()`
`static boolean` | `getGenericValue(boolean truth, java.lang.Object value, AbleVariable theVar)`
`int[]` | `getIntArray()`
`int` | `getIntValue()`
`java.lang.String` | `getName()`
`java.lang.String` | `getStrValue()`
`java.util.Vector` | `getVecValue()`
`void` | `method0()`
`java.lang.String` | `method1(java.lang.Object s1, java.lang.Double d1)`
`java.lang.String` | `method1(java.lang.Object s1, java.lang.Object d1)`
`java.lang.String` | `method1(java.lang.String s1, double d1)`
`java.lang.String` | `method1(java.lang.String s1, java.lang.Double d1)`
`java.lang.String` | `method1(java.lang.String s1, float f1)`
`java.lang.String` | `method1(java.lang.String s1, java.lang.Integer i1)`
`java.lang.String` | `method1(java.lang.String s1, java.lang.Long long1)`
`java.lang.String` | `method1(java.lang.String s1, java.lang.Object d1)`
`java.lang.String` | `method2(java.lang.String s1, java.lang.Object obj1)`
`void` | `method3(java.lang.Object s1, java.lang.Double d1, java.lang.Object i1)`
`void` | `method3(java.lang.Object s1, java.lang.Double d1, java.lang.String i1)`
`void` | `method3(java.lang.String s1, java.lang.Double d1, java.lang.Object i1)`
`void` | `method4(java.lang.String s1, java.lang.Object i1, java.lang.Double d1, java.lang.String s2)`
`java.lang.String` | `method5(java.lang.String s1, double d1)`
`void` | `setVecValue(java.util.Vector theVec)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

### intValue

    protected int intValue

### strValue

    protected java.lang.String strValue

### dblValue

    protected double dblValue

### vecValue

    protected java.util.Vector vecValue

Constructor Detail

### TstRuleObject

    public TstRuleObject()

### TstRuleObject

    public TstRuleObject(java.lang.Object tstObj)

### TstRuleObject

    public TstRuleObject(TstRuleObject tstObj)

### TstRuleObject

    public TstRuleObject(java.lang.String theName)

### TstRuleObject

    public TstRuleObject(java.lang.Double theDouble)

### TstRuleObject

    public TstRuleObject(java.lang.String theName,
                         double theDouble)

Method Detail

### method0

    public void method0()

### method1

    public java.lang.String method1(java.lang.String s1,
                                    java.lang.Double d1)

### method1

    public java.lang.String method1(java.lang.String s1,
                                    double d1)

### method1

    public java.lang.String method1(java.lang.String s1,
                                    float f1)

### method1

    public java.lang.String method1(java.lang.String s1,
                                    java.lang.Integer i1)

### method1

    public java.lang.String method1(java.lang.String s1,
                                    java.lang.Long long1)

### method1

    public java.lang.String method1(java.lang.Object s1,
                                    java.lang.Object d1)

### method1

    public java.lang.String method1(java.lang.String s1,
                                    java.lang.Object d1)

### method1

    public java.lang.String method1(java.lang.Object s1,
                                    java.lang.Double d1)

### method2

    public java.lang.String method2(java.lang.String s1,
                                    java.lang.Object obj1)

### method3

    public void method3(java.lang.String s1,
                        java.lang.Double d1,
                        java.lang.Object i1)

### method3

    public void method3(java.lang.Object s1,
                        java.lang.Double d1,
                        java.lang.Object i1)

### method3

    public void method3(java.lang.Object s1,
                        java.lang.Double d1,
                        java.lang.String i1)

### method4

    public void method4(java.lang.String s1,
                        java.lang.Object i1,
                        java.lang.Double d1,
                        java.lang.String s2)

### method5

    public java.lang.String method5(java.lang.String s1,
                                    double d1)

### getDblValue

    public double getDblValue()

### getName

    public java.lang.String getName()

### getStrValue

    public java.lang.String getStrValue()

### getIntValue

    public int getIntValue()

### getIntArray

    public int[] getIntArray()

### getVecValue

    public java.util.Vector getVecValue()

### setVecValue

    public void setVecValue(java.util.Vector theVec)

### callIntArrayMethod

    public void callIntArrayMethod(int[] anIntArray)

### getGenericValue

    public static boolean getGenericValue(boolean truth,
                                          java.lang.Object value,
                                          AbleVariable theVar)
                                   throws AbleDataException

  Throws:
    `AbleDataException`

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005